Announcement

Collapse
No announcement yet.

Unable to add cookies: Header already sent?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Forum] Unable to add cookies: Header already sent?

    I am getting the following error on my site this morning when I try to open in IE:

    Unable to add cookies, header already sent.
    File: /homepages/37/d********/htdocs/comixtremecom/mainwebsite_html/index.php(1) : eval()'d code
    Line: 7


    In Firefox, I was getting this error:

    Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at [path]/index.php(1) : eval()'d code:7) in [path]/includes/facebook/facebook.php on line 37

    But strangely, that went away on it's own.
    Site is cxPulp.com.... no changes were made prior to this error starting up. Any ideas?

  • #2
    And I am starting to get trojan reports from users...

    Comment


    • #3
      There shouldn't be any evaled code at line 1 in index.php. I suggest replacing your files with clean copies.
      Translations provided by Google.

      Wayne Luke
      The Rabid Badger - a vBulletin Cloud demonstration site.
      vBulletin 5 API

      Comment


      • #4
        Originally posted by Craig Reade View Post
        And I am starting to get trojan reports from users...
        It looks like you have been hacked. There has been a hacking wave lately. I would advice to do a check of your database and server space as well and also to contact your host to check the access logs to see what happened.

        P.s. What version of vb do you have btw?

        Comment


        • #5
          Try this posts I made last night, it's a quick way to see if you can sort it: https://www.vbulletin.com/forum/show...=1#post2292308


          Former vBulletin Support Staff
          Hacked recently? See my blog post "Recovering a Hacked vBulletin Site".
          Thinking outside the box? Need modification support? Visit www.vBulletin.org and have at it!

          Comment


          • #6
            Yeah, I am starting to put that together now. I replaced the index.php file, and things worked again. Then at some point soon after, things STOPPED working.

            Why this kind of thing always happens while I am at work I will never know...

            Comment


            • #7
              Well, I found the virus and eliminated it, and have a fresh version of the site installed.

              I decided to run the tool_recompite.php fix-it file, to see if there was something I missed, and got the following result:


              Recompiling templates...
              Uncompiled template could not be compiled due to error: vbcms_widget_recentarticle_page (id: 5023, styleid: 1)
              Uncompiled template could not be compiled due to error: socialgroups_updatedgroups_bit (id: 7893, styleid: -10)
              Uncompiled template could not be compiled due to error: socialgroups_mygroups_bit (id: 7878, styleid: -10)
              Uncompiled template could not be compiled due to error: memberinfo_block_recentvisitors (id: 7607, styleid: -10)
              Uncompiled template could not be compiled due to error: forumhome_forumbit_level2_post (id: 7569, styleid: -10)
              Uncompiled template could not be compiled due to error: forumhome_forumbit_level1_post (id: 7567, styleid: -10)
              Uncompiled template could not be compiled due to error: blog_sidebar_user_block_visitors (id: 7212, styleid: -10)
              Uncompiled template could not be compiled due to error: vbcms_widget_recentcontent_page (id: 7337, styleid: -10)
              Uncompiled template could not be compiled due to error: vbcms_widget_recentarticle_page (id: 7326, styleid: -10)

              Is that a normal result, or is there something else I should be looking at?

              Comment


              • #8
                Those errors occur when the compile_template function returns an error for whatever reason. If you go and edit one of those templates (in any style that they haven't been customized in) and try to save it, does that give you an error as well? I suggest re-importing your master style (Admin CP -> Styles & Templates -> Download / Upload Styles, leave all the boxes as their default values and click the "Import" button at the bottom).

                Comment


                • #9
                  Well I was able to save the first one on the list without an error.. I was curious about "Style ID -10" on the rest... what is Style -10?

                  Comment


                  • #10
                    Originally posted by Craig Reade View Post
                    Well I was able to save the first one on the list without an error.. I was curious about "Style ID -10" on the rest... what is Style -10?
                    It is one of the hidden master styles we use so people can revert templates, compare to the default, etc...
                    Translations provided by Google.

                    Wayne Luke
                    The Rabid Badger - a vBulletin Cloud demonstration site.
                    vBulletin 5 API

                    Comment


                    • #11
                      Well, reverting vbcms_widget_recentarticle_page removes it from the error list. I can't do the same in the hidden style files.

                      Is this a security risk? I imagine since I can't actually assign the style that these errors shouldn't be a problem. I haven't figured out how the virus got on my server yet, and I am trying to lock all of the doors before reopening the site.

                      Comment


                      • #12
                        Oiy, this is turning into a massive headache.

                        I turned the board back on and started to do some tests. What's New? Was returning no results, even though there were unread posts. So I tried to make a test post and got this error:


                        Warning: require_once(includes/functions_ghsom.php) [function.require-once]: failed to open stream: No such file or directory in [path]/includes/functions_newpost.php(442) : eval()'d code on line 5

                        Fatal error: require_once() [function.require]: Failed opening required 'includes/functions_ghsom.php' (include_path='.:/usr/lib/php5') in /homepages/37/d218094137/htdocs/comixtremecom/mainwebsite_html/includes/functions_newpost.php(442) : eval()'d code on line 5

                        includes/functions_ghsom.php Showed up as an old version file in "Suspect File Versions" and it wasn't in the latest package, so I deleted it.

                        Comment


                        • #13
                          OK, I guess that was Spam-O-Matic. I thought I had marked all of those files. Still doesn't solve my What's New? problem, but at least I am making progress. Sorry for the bother :LOL:

                          Comment


                          • #14
                            Under Settings -> Options -> General Settings, what is your read marking type set to?
                            Translations provided by Google.

                            Wayne Luke
                            The Rabid Badger - a vBulletin Cloud demonstration site.
                            vBulletin 5 API

                            Comment


                            • #15
                              Database.

                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X